summaryrefslogtreecommitdiff
path: root/scripts/0150-build-static-deps.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/0150-build-static-deps.sh')
-rwxr-xr-xscripts/0150-build-static-deps.sh55
1 files changed, 55 insertions, 0 deletions
diff --git a/scripts/0150-build-static-deps.sh b/scripts/0150-build-static-deps.sh
new file mode 100755
index 0000000..d0a460f
--- /dev/null
+++ b/scripts/0150-build-static-deps.sh
@@ -0,0 +1,55 @@
+#!/bin/env bash
+
+set -e
+
+mkdir -p $STATIC_DEPS_PREFIX/include $STATIC_DEPS_PREFIX/lib
+mkdir -p /static-deps && cd /static-deps
+
+echo "Building static zlib..."
+tar xf /downloads/zlib-$ZLIB_VERSION.tar.gz
+cd zlib-$ZLIB_VERSION
+./configure --prefix=$STATIC_DEPS_PREFIX --static
+make -j$(nproc) && make install
+cd ..
+
+echo "Building static ncurses..."
+tar xf /downloads/ncurses-$NCURSES_VERSION.tar.gz
+cd ncurses-$NCURSES_VERSION
+./configure --prefix=$STATIC_DEPS_PREFIX --disable-shared --enable-static --with-termlib
+make -j$(nproc) && make install
+cd ..
+
+echo "Building static expat..."
+tar xf /downloads/expat-$EXPAT_VERSION.tar.gz
+cd expat-$EXPAT_VERSION
+./configure --prefix=$STATIC_DEPS_PREFIX --disable-shared --enable-static
+make -j$(nproc) && make install
+cd ..
+
+echo "Building static readline..."
+tar xf /downloads/readline-$READLINE_VERSION.tar.gz
+cd readline-$READLINE_VERSION
+./configure --prefix=$STATIC_DEPS_PREFIX --disable-shared --enable-static
+make -j$(nproc) && make install
+cd ..
+
+echo "Building static gmp..."
+tar xf /downloads/gmp-$GMP_VERSION.tar.xz
+cd gmp-$GMP_VERSION
+./configure --prefix=$STATIC_DEPS_PREFIX --disable-shared --enable-static
+make -j$(nproc) && make install
+cd ..
+
+echo "Building static mpfr..."
+tar xf /downloads/mpfr-$MPFR_VERSION.tar.xz
+cd mpfr-$MPFR_VERSION
+./configure --prefix=$STATIC_DEPS_PREFIX --with-gmp=$STATIC_DEPS_PREFIX --disable-shared --enable-static
+make -j$(nproc) && make install
+cd ..
+
+echo "Building static mpc..."
+tar xf /downloads/mpc-$MPC_VERSION.tar.gz
+cd mpc-$MPC_VERSION
+./configure --prefix=$STATIC_DEPS_PREFIX --with-gmp=$STATIC_DEPS_PREFIX --with-mpfr=$STATIC_DEPS_PREFIX --disable-shared --enable-static
+make -j$(nproc) && make install
+cd ..